Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class SetBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.SetBinder

    public class SetBinder

extends CollectionBinder

Bind a set.

Author:
  Matthew Inger

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`SetBinder()`
`SetBinder(boolean sorted)`

Method Summary
`protected org.hibernate.mapping.Collection` | `createCollection(org.hibernate.mapping.PersistentClass persistentClass)`
`void` | `setSqlOrderBy(OrderBy orderByAnn)`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder
`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, bindStarToManySecondPass, getCollection, getCollectionBinder, getSecondPass, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInsertable, setInverseJoinColumns, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyAccessorName, setPropertyHolder, setPropertyName, setSort, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetBinder

    public SetBinder()

### SetBinder

    public SetBinder(boolean sorted)

Method Detail

### createCollection

    protected org.hibernate.mapping.Collection createCollection(org.hibernate.mapping.PersistentClass persistentClass)

  Specified by:
    `createCollection` in class `CollectionBinder`

### setSqlOrderBy

    public void setSqlOrderBy(OrderBy orderByAnn)

  Overrides:
    `setSqlOrderBy` in class `CollectionBinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD